Subject: [Rfced-future] Proposals on GH

From: Eliot Lear <[email-masked]>
Date: Mon, 29 Nov 2021 18:21:38 +0100

Joel's text here 
<https://github.com/intarchboard/program-rfced-future/blob/master/halpern-principles.md>.

Brian's text here 
<https://github.com/intarchboard/program-rfced-future/blob/master/carpenter-historical-properties.md>.

If anyone else wants text posted in advance of the meeting, let me 
know.  I'm not going to be picky.

Eliot

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 29 Nov 2021 19:36:16 +0000

*   Joel's text here<https://github.com/intarchboard/program-rfced-future/blob/master/halpern-principles.md>.
Joel, can you please point to where in the doc you would add your text?

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 29 Nov 2021 15:15:31 -0500

I suspect I am misunderstanding the point of your quesiton.

I would expect the text I proposed to appear at the beginning of a new 
section on Principles, where it would be followed by the principles we 
agree to include.

Where in the document that sections goes would seem to be up to Peter, 
who has done an able job editing the document.

Yours,
Joel

On 11/29/2021 2:36 PM, Salz, Rich wrote:
>   * Joel's text here

---

From: Michael StJohns <[email-masked]>
Date: Mon, 29 Nov 2021 15:17:23 -0500

> know.  I'm not going to be picky.

My text as well please.   It started the discussion and deserves 
consideration.

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 29 Nov 2021 20:18:04 +0000

Thank you for the clarification. So I guess I do not understand why "your text" is framed as an alternative to "Brian's text" since they're completely different.  Oh well. I guess it doesn't matter since the "principles" discussion at the interim will descend into a bar fight no matter what.

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 29 Nov 2021 21:25:20 +0000

Hiya,

I won't be able to make the interim but I hope my views and
reasons for those are sufficiently clear. Happy to try to
clarify any of that between now and then.

I would be happy to see both Joel's and Brian's fragments
of text included and then edited as needed. (But not edited
down to where the point of including the text is nullified.)

I'd prefer the above to starting from Mike's text TBH but
could live with Mike's text as a basis. I worry it'd be a lot
more work to get to rough consensus taking that approach.

I'd very strongly prefer either of the above to being silent
on all this and risking an unprincipled bureaucracy. (Sorry
for the pun, couldn't resist:-)

Cheers,
S.

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 29 Nov 2021 22:03:47 +0000

>    I would be happy to see both Joel's and Brian's fragments
    of text included and then edited as needed.

Can you explain this?  Because Joel doesn't list any principles and would therefore need work, such as adopting Mike's text or something new.

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 29 Nov 2021 22:04:42 +0000

On 29/11/2021 22:03, Salz, Rich wrote:
> Can you explain this?  Because Joel doesn't list any principles and
> would therefore need work, such as adopting Mike's text or something
> new.

Sure: I'd just follow Joel's text with Brian's and then start
from there.

S

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 30 Nov 2021 11:30:40 +0100

I also made a proposal a while ago and created a PR on Github. My thinking was to rather describe what the RFC series is today:

https://github.com/intarchboard/program-rfced-future/pull/137/files

The PR proposes to add this text to the intro:

"The RFC Series is currently the publication venue for four
streams - the IETF stream, the IAB stream, the IRTF stream, and
the Independent Submission Editor (ISE) stream. This document
establishes a fifth stream, the Editorial stream. Documents
of these streams are intentionally published in the same
publication series in order to foster exchange among these
communities and support diversity in expression. The streams
are responsible for the content of the published document and,
respectively, also to organise a review process that ensures
document quality as well as community consensus if desired.
The RFC Production Center (RPC) is responsible for the
publication and accessibility of RFCs, including technical
challenges for the long-term archival of digital publications.”

I believe this text is very much inline which what is written in RFC8729 (which is already referenced in the previous sentence in the existing intro text).

I’d be fine with adding another note in section 3.1.2 as proposed by Joel or Jay that the RSAB should take special attention for changes that document or change principles and is responsible to ensure broad community review. But at least I don’t see a good reason to add any series-wide additional principle to this document now (beyond what’s already document in RFC8729).

Mirja

> On 29. Nov 2021, at 18:21, Eliot Lear <[email-masked]> wrote:
> 
> 
> 
> Joel's text here <https://github.com/intarchboard/program-rfced-future/blob/master/halpern-principles.md>.
> 
> Brian's text here <https://github.com/intarchboard/program-rfced-future/blob/master/carpenter-historical-properties.md>.
> 
> If anyone else wants text posted in advance of the meeting, let me know.  I'm not going to be picky.
> 
> Eliot
> 
> 
> 
> <OpenPGP_0x87B66B46D9D27A33.asc>-- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 1 Dec 2021 10:27:26 +1300

On 30-Nov-21 23:30, Mirja Kuehlewind wrote:
> https://github.com/intarchboard/program-rfced-future/pull/137/files <https://github.com/intarchboard/program-rfced-future/pull/137/files>
> 
> I’d be fine with adding another note in section 3.1.2 as proposed by Joel or Jay that the RSAB should take special attention for changes 
that document or change principles and is responsible to ensure broad community review. But at least I don’t see a good reason to add any series-wide additional principle to this document now (beyond what’s already document in RFC8729).

I would be OK with all this. To be clear, my text in GitHub is a possible 
compromise but my underlying view is still that principles are out of scope for our draft.

     Brian

> 
> Mirja
> 
> 
> 
>> On 29. Nov 2021, at 18:21, Eliot Lear <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>
>> [email-masked] <mailto:[email-masked]>